syntax = "proto3";
option go_package = ".;pb";
 // vip 月卡特权
message DBPrivilege {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  string cId = 3; //@go_tags(`bson:"cId"`) 计费点数ID
  int64 cTime = 4; //@go_tags(`bson:"cTime"`) //购买时间
  int64 eTime = 5; //@go_tags(`bson:"eTime"`) //到期时间
  int64 rewardTime = 6; //@go_tags(`bson:"rewardTime"`) 每日奖励时间
}

message PrivilegeList{
  repeated int32 privilegeID = 1; //@go_tags(`bson:"privilegeID"`) 特权ID
}

message DBVip {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  map<int32,bool> reward= 3; // key vip 等级
  map<int32,PrivilegeList> privilege = 4;//@go_tags(`bson:"privilege"`) 特权ID
  int64 cTime = 5; //@go_tags(`bson:"cTime"`) //购买时间
  int64 rewardTime = 6; //@go_tags(`bson:"rewardTime"`) 每日奖励时间
}